[page:Loader] →

# [name]

Class for loading a font in JSON format. Returns a font, which is an array of [page:Shape Shapes] representing the font. This uses the [page:FileLoader] internally for loading files.
You can convert fonts online using [link:https://gero3.github.io/facetype.js/ facetype.js]

## Import

[name] is an add-on, and must be imported explicitly. See [link:#manual/introduction/Installation Installation / Addons].

`import { FontLoader } from 'three/addons/loaders/FontLoader.js';`

## Code Example

`const loader = new FontLoader(); const font = loader.load( // resource URL 'fonts/helvetiker_bold.typeface.json', // onLoad callback function ( font ) { // do something with the font console.log( font ); }, // onProgress callback function ( xhr ) { console.log( (xhr.loaded / xhr.total * 100) + '% loaded' ); }, // onError callback function ( err ) { console.log( 'An error happened' ); } );`

## Examples

[example:webgl_geometry_text_shapes geometry / text / shapes ]
[example:webgl_geometry_text geometry / text ]

## Constructor

### [name]( [param:LoadingManager manager] )

[page:LoadingManager manager] — The [page:LoadingManager loadingManager] for the loader to use. Default is [page:LoadingManager THREE.DefaultLoadingManager].
Creates a new [name].

## Properties

See the base [page:Loader] class for common properties.

## Methods

See the base [page:Loader] class for common methods.

### [method:undefined load]( [param:String url], [param:Function onLoad], [param:Function onProgress], [param:Function onError] )

[page:String url] — the path or URL to the file. This can also be a [link:https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URIs Data URI].
[page:Function onLoad] — Will be called when load completes. The argument will be the loaded font.
[page:Function onProgress] — Will be called while load progresses. The argument will be the XMLHttpRequest instance, which contains .[page:Integer total] and .[page:Integer loaded] bytes. If the server does not set the Content-Length header; .[page:Integer total] will be 0.
[page:Function onError] — Will be called when load errors.
Begin loading from url and pass the loaded font to onLoad.

### [method:Font parse]( [param:Object json] )

[page:Object json] — The `JSON` structure to parse.
Parse a `JSON` structure and return a font.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/loaders/FontLoader.js examples/jsm/loaders/FontLoader.js]